net.sf.jlinkgrammar

## Class Disjunct

- java.lang.Object
- - net.sf.jlinkgrammar.Disjunct

-     public class Disjunct
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `cost`
    `(package private) static Disjunct[]` | `dup_table`
    `(package private) static int` | `dup_table_size`
    `(package private) Connector` | `left`
    `(package private) boolean` | `marked`
    `(package private) Disjunct` | `next`
    `(package private) Connector` | `right`
    `(package private) java.lang.String` | `string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Disjunct()`
    `Disjunct(Disjunct d)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `and_hash_disjunct()`
    `(package private) static Disjunct` | `catenate_disjuncts(Disjunct d1, Disjunct d2)`
    `(package private) static Disjunct` | `copy_disjunct(Disjunct d)`
    `(package private) static int` | `count_disjuncts(Disjunct d)`
    `(package private) boolean` | `disjunct_types_equal(Disjunct d2)`
    `(package private) boolean` | `disjuncts_equal_AND(Disjunct d2)`
    `(package private) boolean` | `disjuncts_equal(Disjunct d2)`
    `(package private) static Disjunct` | `eliminate_duplicate_disjuncts(ParseOptions opts, Disjunct d)`
    `(package private) Disjunct` | `intersect_disjuncts(Disjunct d2)`
    `(package private) int` | `old_hash_disjunct()`
    `(package private) static int` | `string_hash(java.lang.String s, int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          Disjunct next

    - #### cost

          int cost

    - #### marked

          boolean marked

    - #### string

          java.lang.String string

    - #### left

          Connector left

    - #### right

          Connector right

    - #### dup_table_size

          static int dup_table_size

    - #### dup_table

          static Disjunct[] dup_table

  - ### Constructor Detail

    - #### Disjunct

          Disjunct(Disjunct d)

    - #### Disjunct

          Disjunct()

  - ### Method Detail

    - #### catenate_disjuncts

          static Disjunct catenate_disjuncts(Disjunct d1,
                                    Disjunct d2)

    - #### eliminate_duplicate_disjuncts

          static Disjunct eliminate_duplicate_disjuncts(ParseOptions opts,
                                               Disjunct d)

    - #### count_disjuncts

          static int count_disjuncts(Disjunct d)

    - #### disjuncts_equal

          boolean disjuncts_equal(Disjunct d2)

    - #### old_hash_disjunct

          int old_hash_disjunct()

    - #### string_hash

          static int string_hash(java.lang.String s,
                        int i)

    - #### disjunct_types_equal

          boolean disjunct_types_equal(Disjunct d2)

    - #### disjuncts_equal_AND

          boolean disjuncts_equal_AND(Disjunct d2)

    - #### intersect_disjuncts

          Disjunct intersect_disjuncts(Disjunct d2)

    - #### and_hash_disjunct

          int and_hash_disjunct()

    - #### copy_disjunct

          static Disjunct copy_disjunct(Disjunct d)